/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.video;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;
import org.locationtech.jts.geom.Point;

/**
 * 监控视频入参类
 *
 * @author tzl
 * 2022/4/8 16:07
 */
@ApiModel("VideoParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VideoParam implements Serializable {

    @ApiModelProperty(value = "标识", example = "", required = true)
    @NotEmpty(message = "标识不能为空")
    String uuid;

    @ApiModelProperty(value = "rtsp 媒体地址", example = "", required = true)
    @NotEmpty(message = "rtsp 媒体地址不能为空")
    String rtsp;

    @ApiModelProperty(value = "m3u8 地址", example = "")
    @NotEmpty(message = "m3u8 地址不能为空")
    String m3u8;

    @ApiModelProperty(value = "坐标点信息", example = "")
    Point point;

    @ApiModelProperty(value = "分类", example = "")
    String type;

    @ApiModelProperty(value = "是否在线", example = "")
    Boolean online;

    @ApiModelProperty(value = "是否启用", example = "")
    Boolean enable;
}
