/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.video.impl;

import com.yiring.app.domain.video.Video;
import com.yiring.app.domain.video.VideoRepository;
import com.yiring.app.param.video.VideoParam;
import com.yiring.app.service.video.VideoService;
import com.yiring.common.core.Result;
import java.time.LocalDateTime;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author tzl
 * 2022/4/8 15:28
 */
@Service
public class VideoServiceImpl implements VideoService {

    @Resource
    VideoRepository videoRepository;

    @Override
    public Result<String> saveVideo(VideoParam videoParam) {
        Video video = Video
            .builder()
            .createTime(LocalDateTime.now())
            .enable(videoParam.getEnable())
            .m3u8(videoParam.getM3u8())
            .point(videoParam.getPoint())
            .rtsp(videoParam.getRtsp())
            .online(videoParam.getOnline())
            .type(videoParam.getType())
            .uuid(videoParam.getUuid())
            .build();
        videoRepository.saveAndFlush(video);
        return Result.ok();
    }
}
