/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.video;

import com.yiring.app.param.video.VideoParam;
import com.yiring.app.service.video.VideoService;
import com.yiring.common.core.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 监控点位控制器
 * @author tzl
 * 2022/4/8 16:51
 */
@Slf4j
@Validated
@Api(tags = "Video")
@RestController
@RequestMapping("/video/")
public class VideoController {

    @Resource
    VideoService videoService;

    @ApiOperation(value = "新增监控点位")
    @PostMapping("saveVideo")
    public Result<String> findLatest(@Valid VideoParam videoParam) {
        return videoService.saveVideo(videoParam);
    }
}
